**`Eriprando Pacces`[NAME]** -NL- **`+44 7743 499787 `[PHONES_PHONE]**-eriprando.pacces@gmail.comLinkedIn Profile GithubStackoverflow Profile -NL- - Softwareengineerwith7+yearsofprofessionalexperienceoniOSplatforms, -NL- - startedworkinginC/C++andpythononembeddedplatformsandthenmovedtowardsmobile -NL- application development, -NL- - workedonseveraltypesofprojectandproducts(R&D,prototyping,robotics,desktopapplications, -NL- mobile applications), -NL- - capableoftakingcareofthefulllifecycleofiOSmobileapplications,fromtheconcept,development -NL- to their submissions to the Apple store, -NL- - led and mentored teams ofdevelopers -NL- **`SKILLS`[SKILLS_HEADING]** -NL- • Objectorientedprogramming,Functionalprogramming,Functionalreactiveprogramming, -NL- • Objective-C,Swift,C,C++,Bash,SQL,HTML,Python,Javascript -NL- • AgileMethodologies(Scrum,Kanban),Unittesting,TDD,BDD,Mobileappdesign,Architectura -NL- l pattern (MVC,MVVP,MVP), A/BTesting,Analytics/Tracking, Push Notifications, -NL- Messaging, Deeplinks, Universal links, iOS Appextensions -NL- • UIKit,CoreData,CoreLocation,AVFoundation,AFNetworking,Alamofire,Firebase,SwiftyJSON,Car- -NL- dIO,Stripe,Spreedly,Optimizely,AppBoy,OCMock,OHTTPStub,Crashlytics,Kiwi,XCTest,RxSwi -NL- ft, ReactiveCocoa -NL- TOOLS -NL- • XCode,VisualStudio,AppCode,Cocoapods,CMake,Teamcity,Fastlane,Jenkins,Buddybuild -NL- • JIRA, Trello, Scrumwise,Asana -NL- **`EMPLOYMENT`[WORK_EXPERIENCE_HEADING]** -NL- **`iOS Developer(Swift)`[EMPLOYER_ROLE]**, **`New Look Ltd`[EMPLOYER_COMPANY_NAME]**,London,UK -NL- December 2019 – -NL- Present -NL- • IncreasethenumberofUIteststoreducetimespentbyQAengineerstorunregressiontests. -NL- • Implement tab bar restyling andredesign. -NL- **`iOS Developer(Swift),`[EMPLOYER_ROLE]** **`GlintPay`[EMPLOYER_COMPANY_NAME]**,London,UK -NL- March 2018 – -NL- November2019 -NL- • App2.0redesign,implementationandarchitecturalchanges.MovefromMVCtoMVVMwithclea -NL- n architecture(https://github.com/sergdort/CleanArchitectureRxSwift) -NL- • CardloadintegrationthroughStripe,bankload,managecards -NL- • Currencyexchangeandconversion(Gold-Sterling,Sterling-EUR,Gold-Sterling) -NL- • Redesignandimplementationoftheon-boardingscreens -NL- • Pushnotifications,analytics,migrationtoSwift4.0,increasedtestcoverage -NL- • App internationalisation - codegeneration -NL- **`Lead iOS Developer(Swift)`[EMPLOYER_ROLE]**,**`TideBanking`[EMPLOYER_COMPANY_NAME]**,London, UK -NL- September 2016 – -NL- March2017 -NL- • Led a team of 4-6 iOS developers by running daily stand-ups, defining best practices and -NL- setting upapragmaticandeffectiveworkflowtoimproveinternal(andexternal)releasecycles. -NL- • Improvedtheapplicationsecuritybyrevisingandredesigningthestorageofsensitivedata,ensuringthe -NL- backwardcompatibilitywiththepreviousversionoftheapp. -NL- • DesignedandimplementedamechanismtoenableAppletoreviewandapprovetheappsubmittedt -NL- o theAppStore(basedonruntimeswitchingoftheappconfiguration/environment) -NL- • ImplementedtheQRcodebasedlogintotheTidewebapplication,developedtheiOSappshareexten- -NL- sion. -NL- • Compilationtimeoptimisation,migrationofthecodebasetoSwift3.x. -NL- **`Senior iOS Developer`[EMPLOYER_ROLE]**, **`Cheapflights Ltd`[EMPLOYER_COMPANY_NAME]**, Momondo Group,London,UK May 2015 – -NL- August2016 -NL- • Designedandimplementedanaspect-orientedsolutiontotrackusergeneratedeventsandactivities. -NL- • Redesigned and optimised the search results processing andfiltering increasing the -NL- performanceby30%andreducingthetestautomationrunningtimeby25%. -NL- page 2 -NL- • Redesigned the whole app start upflow to better deal with problems such as -NL- dependencies retrieval, deeplinks,controlandmonitoringoverthenetworkreachability,etc. -NL- • DefinediOScodingstandards,gitbranchingworkflowandfavouredtheintroductionofcodereviews. -NL- • Implementedanddesignedtheuserloginandsignupprocesses. -NL- • Implementedapppushnotificationsandinappmessages. -NL- • Implementedanad-hocsolutionforenablingA/Btestsonbuttonsforeverypossiblestate. -NL- • IntegratedandconfiguredFastlanetoolsforcontinuousintegrationanddeliverythroughTeamcity -NL- • DevelopedandintegratedthehotelsearchfeatureintotheCheapflightsapps -NL- **`Senior iOS Developer`[EMPLOYER_ROLE]**, **`Education First`[EMPLOYER_COMPANY_NAME]**,London,UK -NL- May 2014 – -NL- May2015 -NL- • DevelopedaprototypeinordertomirrorpartsofiOSdevicescreenstoTVscreensthroughChromecast -NL- andRoku. -NL- • Developed a user feedback gatheringframework. -NL- • Developedahighperformance,multithreaded,scalablethumbnailsgeneratorcreatingimagesbyp -NL- ro- cessing HTML, URLs andmetadata. -NL- • RedesignedtheapplogintosupportOAuth2. -NL- **`Lead iOS Developer`[EMPLOYER_ROLE]**, **`Fineco Bank`[EMPLOYER_COMPANY_NAME]**,Milan,Italy -NL- September 2013 – -NL- April2014 -NL- • SetupacontinuousintegrationenvironmentforiOSapplicationsthroughJenkins-Cocoapods. -NL- • Redesignedandimplementedthepre- -NL- existentnetworklibrarytoimproveperformanceandcodebase maintenance. -NL- • RedesignedaTree-mapalgorithmJavascriptimplementationusedfortilingandimplementedanObj-C -NL- version increasing substantially the algorithmperformance. -NL- • DesignedanddevelopedtheDataAccessLayeroftheapplicationusingCoreData. -NL- • LedandmentoredafewjunioriOSdevelopers. -NL- **`Software Engineer`[EMPLOYER_ROLE]**, iOS Developer,**`TelecomItalia Lab`[EMPLOYER_COMPANY_NAME]**,Turin,Italy -NL- April 2010 - -NL- August2013 -NL- • DevelopedanddesignedatilingalgorithmtoworkoutthelayoutofaniOScollectionviewshowing -NL- dynamicdatareceivedbackfromtheserver. -NL- • DevelopedaniOScomponenttodisplayalargeamountofdata/annotationsonmaps. -NL- • Developedanimage/bannercarouselforiOSapplications. -NL- • DevelopedanimagegalleryandaphotopickerforiOSapplications. -NL- • Developedatrackingalgorithm,basedonimagesrecognition,runningonahumanoidrobottomakeit -NL- followpredeterminedroutesandstopinproximityofcertainmarkers. -NL- • DevelopedatexttospeechAPIwrappertobeincorporatedintoatexttospeechclientapplication. -NL- • Redesignedanddevelopedatexttospeechapplication-MFCbased-byusingtheNokiaQt -NL- framework so that it could run on Linux, Windows and Mac OS. -NL- **`Software Engineer`[EMPLOYER_ROLE]**, **`Consoft Sistemi`[EMPLOYER_COMPANY_NAME]**,Turin,Italy -NL- July 2008 - -NL- April2010 -NL- • DevelopedamiddlewarelayerbetweenaJavaapplicationandau-controller. -NL- • PortedpartofthemiddlewareservicesfromanAMDGEODEx86archtoan,8-bit,ATMega-644Pu- -NL- controllerreducingtheirexecutiontimeandmemoryusage. -NL- • DevelopedaClibrarytalkingtosensorsanddevicesavailableonchiporconnectedtoitthrough -NL- externalinterfaces. -NL- • Developedanddesignedaschedulertoenabletheu-controllertoprioritisetheactionstobeperformed when -NL- new data wasgathered. -NL- **`Intern`[EMPLOYER_ROLE]**, **`Thales Alenia Space`[EMPLOYER_COMPANY_NAME]**,L’Aquila,Italy -NL- October 2007 - -NL- July2008 -NL- • DesignedanddevelopedanBCH-LDPCencoderwhichwaspartoftheTXsectionofaDVB-S2 -NL- transponder. -NL- Thank you for using www.freepdfconvert.com service! -NL- Only two pages are converted. Please Sign Up to convert all -NL- pages.https://www.freepdfconvert.com/membership -NL- 